#{extends 'common/frontend-admin.html' /}
#{set 'title'}
<h1>#{if action=="create"}Tambah Pertanyaan #{/if}</h1>
#{/set}
<div class="container">
    <div class="row">
        <div class="col-sm-10">
            #{common.alert /}
            <div class="card">
                <div class="card-header">Form Tambah Pertanyaan
                </div>
                <div class="card-body">
                    <form class="input-pertanyaan" action="@{storeQuestion()}"  method="post">
                        #{authenticityToken /}
                        <input type="hidden" name="model.action" value="${action}" >
                        <input type="hidden" name="model.id" value="${users?.id}" >
                        <div class="form-group">
                            <div class="row">
                                <label for="pertanyaan" class="col-2 control-label">Pertanyaan</label>
                                <span class="form-control-feedback col-12 ket">*Maksimal karakter yang dapat yang dapat diinputkan adalah 200 karakter</span>
                                <div class="col-12 #{errorClass 'model.pertanyaan'/} summernote-wrapper">
                                <textarea class="form-control pertanyaan" name="model.pertanyaan" id="pertanyaan" rows="10" cols="80">${model?.pertanyaan}</textarea>
                                </div>
                                <span class="help-block vision-error">#{error 'model.pertanyaan' /}</span>
                            </div>
                            <div class="row" style="justify-content:flex-end;">
                            <div id="characters"><label id="counterCharacter" style="font-family: initial !important;font-size: initial !important;">0</label> / 200 karakter</div>
                            </div>
                        </div>
                        <div class="form-group has-feedback">
                            <div class="row">
                                <label for="model.status" class="col-2 control-label">Status Publish</label>
                                <select class="col-12 form-control" id="model.status" required name="model.status">
                                    <option value="">Pilih salah satu status publish</option>
                                    <option value="0" ${model?.isDraft() ? 'selected' : ''}>DRAFT</option>
                                    <option value="2" ${model?.isPublish() ? 'selected' : ''}>PUBLISH</option>
                                </select>
                                <span class="form-control-feedback"></span>
                                <span class="help-block">#{error 'model.status' /}</span>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="justify-content:center;">
                                <button type="button" class="btn btn-success save-button"><i class="fa fa-save"></i> Simpan</button>
                                &nbsp;&nbsp;
                                <a href='@@{index()}' class="btn btn-warning"><i class="fa fa-arrow-circle-left"></i> Kembali</a>
                            </div>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
#{set 'moreStyles'}
<style>
.modal-open .select2-container{z-index:0!important;}
.card .card-body {padding: 20px!important;}
</style>
<link rel="stylesheet" href="@{'/public/assets/plugins/summernote/css/summernote-lite.css'}">
#{/set}
#{set 'moreScripts'}
<script src="@{'/public/assets/plugins/summernote/js/summernote-lite.js'}"></script>
<script type="text/javascript" src="@{'public/javascripts/jquery.validate.min.js'}"></script>
<script type="text/javascript">
    $(document).ready(function() {
        let action = $('input[name="model.action"]');
        function initSummernote(selector, placeholder) {
        $(selector).summernote({
            height: ($(window).height() - 450),
            placeholder: placeholder,
            toolbar: [
                ['style', ['style']],
                ['font', ['bold', 'italic', 'underline', 'clear']],
                ['fontname', ['fontname']],
                ['color', ['color']],
                ['para', ['ul', 'ol', 'paragraph']],
                ['view', ['fullscreen', 'codeview', 'help']],
            ],
            callbacks: {
                onKeyup: function(e) {
                    $('#counterCharacter').html(e.currentTarget.innerText.trim().length);
                    if(e.currentTarget.innerText.trim().length > 0 && e.currentTarget.innerText.trim().length < 201) {
                        $(this).valid();
                    }
                },
                onKeydown: function(e) {
                    if (e.keyCode == 8)
                        return;
                    if (e.currentTarget.innerText.trim().length >= 200){
                        e.preventDefault();
                        return;
                    }
                },
                onPaste: function (e) {
                        var t = e.currentTarget.innerText;
                        var bufferText = ((e.originalEvent || e).clipboardData || window.clipboardData).getData('Text');
                        e.preventDefault();
                        var maxPaste = bufferText.length;
                        if(t.length + bufferText.length >= 200){
                            maxPaste = 200 - t.length;
                        }
                        if(maxPaste > 0){
                            document.execCommand('insertText', false, bufferText.substring(0, maxPaste));
                        }
                }
            }
            })
        }
        initSummernote('#pertanyaan', 'Silahkan masukkan pertanyaan disini')
        $('.input-pertanyaan').validate({
            ignore: '.note-editor *',
            ignore: [],
            rules: {
                'model.pertanyaan': 'required',
                'model.status': 'required'
            },
            messages: {
                'model.pertanyaan': 'Pertanyaan belum diisi!',
                'model.status': 'Status belum dipilih!'
            },
            errorElement: 'span',
            errorClass: 'help-block',
            focusInvalid: false,
            highlight: function (element) {
                $(element).closest('.form-group').addClass('has-error');
            },
            success: function (label) {
                label.closest('.form-group').removeClass('has-error');
                label.remove();
            },
        })
        $('.save-button').click(function(e) {
            e.preventDefault()
            if (!$('.input-pertanyaan').valid()) {
                return
            }
            $('.input-pertanyaan').submit()
        })
    })
</script>
#{/set}